Mendeley import error: "Zotero.Relations.getByPredicateAndObject(...).filter is not a function"

This discussion was created from comments split from: Mendeley - has anyone swithched?.
  • Don't want to start a new thread so posting here.

    Trying to migrate from Mendeley to Zotero (latest). Downgraded Mendeley to v. 1.18 (with cleaning up all the old traces from 1.19.4). Mendeley works ok, no issues. When I try 'File-Import-Mendeley' I get this error "an error occur while trying to import the selected file. Please insure that the file is valid and try again".

    The full text says: "[JavaScript Error: "TypeError: Zotero.Relations.getByPredicateAndObject(...).filter is not a function" {file: "chrome://zotero/content/import/mendeley/mendeleyImport.js" line: 966}]". I've submitted the full log (454935540).

    The database has my email in the name (so no encryption?). The library is quite big (>22000 entries) but it doesn't have any attached PDF. Am I missing something important? Has anybody had this error before
  • edited 15 days ago
    Don't want to start a new thread so posting here.
    No, please do start new threads for new issues. I've moved this to a new thread.

    Can you provide a Debug ID (different from a Report ID) for an import that fails? (A Report ID isn't a log.)
  • Thank you! Just reproduced the error with debugging on. The DebugID is D10774231. The import transfers all the folders but not a single citation.
  • I can confirm that I experience exactly the same bug, both in version 5.0.91-1 and the most recent git-checkout.
  • edited 12 days ago
    For me it doesn't transfer not even the folders (and of course no papers too).

    Of course I have downgraded Mendeley to v. 1.18 and removed all traces from 1.19.4.

    My Report ID is 1091736869
  • edited 12 days ago
    @axline, @gmichelitsch, @raffaem: Sorry, this is a bug in Zotero 5.0.91, which came out a few days ago. Should be fixed in the latest Zotero beta if you want to try it immediately, and the fix will be included in 5.0.92 soon. The beta is otherwise identical to 5.0.91, so you can run that (ZIP version is easiest on Windows), do the import, and switch back to 5.0.91. Thanks for reporting.
  • @dstillman Wow, that was quick, thanks! I took the git-checkout and it worked like a charm. Thanks!
  • @axline, @raffaem: Fixed in Zotero 5.0.92, available now via Help → Check for Updates.
  • @dstillman, thank you! That was fast, indeed :) I switched to the beta channel one day ago and successfully managed to migrate my library. I think I'll keep using betas from now on.
Sign In or Register to comment.